libzypp 17.37.10

downloader.h File Reference
`#include <zypp-core/zyppng/base/Base>`
`#include <zypp-core/zyppng/pipelines/AsyncResult>`
`#include <zypp-core/zyppng/pipelines/Expected>`
`#include <zypp-core/Pathname.h>`
`#include <zypp-core/OnMediaLocation>`
`#include <zypp-core/ByteCount.h>`
`#include <zypp-core/ManagedFile.h>`
`#include <zypp-media/ng/ProvideRes>`
`#include <zypp/repo/PluginRepoverification.h>`
`#include <zypp/RepoStatus.h>`
`#include <zypp/RepoInfo.h>`
`#include <zypp/ng/workflows/downloadwf.h>`
`#include <optional>`

Go to the source code of this file.

## Classes
class | zyppng::repo::DownloadContext< ContextRefType >

## Namespaces
namespace | zyppng
namespace | zyppng::repo

## Typedefs
using | zyppng::repo::SyncDownloadContext = DownloadContext<SyncContextRef>
using | zyppng::repo::AsyncDownloadContext = DownloadContext<ContextRef>

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (Context)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (SyncContext)
| zyppng::repo::ZYPP_FWD_DECL_REFS (SyncDownloadContext)
| zyppng::repo::ZYPP_FWD_DECL_REFS (AsyncDownloadContext)